import { listen } from "@tauri-apps/api/event";

type OpenPayload = {
  args: string[]  // Never empty
};

listen("open", (ev) => {
  // TODO move this to Rust
  const payload = ev.payload as OpenPayload;
  console.log(payload);
  const link = payload.args.find((s) => s.startsWith("tbdvc:"));
  if (!link) {
    console.error("open called with no link");
    return;
  }
  const url = new URL(link);
  console.log(url.search)
  window.location.href = `/${url.search}`
});

if (window.location.search === "") {
  document.getElementById("tauri-loading")!.innerHTML = `Chat Vocal v0.1.0 par Leo
  <br>
  <br>
  Connecte-toi au serveur Minecraft pour continuer.
  <br>
  Il est recommandé d'utiliser le <a href="https://git.tarkacore.dev/mc-tbd/vc-fabric/releases" target="_blank">Mod Fabric</a> pour automatiquement lancer cette application.`
} else {
  const frame = document.createElement("iframe");
  frame.id = "tauri-frame";
  frame.src = "https://mc-audio.tarkacore.dev" + window.location.search;
  frame.allow = "microphone;autoplay";
  document.getElementById("tauri-root")!.append(frame)
}
